Team
Invite a Developer to the Organization
Email an invite to join the organization. Send exactly one of `role` or `custom_role_id`. The invite expires after seven days. The invitee gets the role when they accept.
POST
Email an invite to join the organization. Send exactly one of role or custom_role_id. The invite expires after seven days. The invitee gets the role when they accept.
api_keyheader
AuthorizationBasic <token>application/json- body
Properties
2 <= properties <= 2email*stringFormat
emailrole?built-in-roleA built-in role. admin can do everything.
Value in
"payer""viewer""admin""ap_approver""ap_creator""viewer_clawback""customer_service""compliance""user_manager"custom_role_id?stringID of a custom role in the same scope.
Format
uuidCreated
application/json- response
id?stringFormat
uuidemail?stringFormat
emailstatus?stringcreated means the invite is pending.
Value in
"created""accepted""expired""canceled"created?stringFormat
date-timeexpiry?stringFormat
date-timelink?stringLink the invitee opens to accept. It only works for the invited email address.
Format
urirole?|custom when the invite grants a custom role, otherwise a built-in role.
custom_role_id?|Format
uuidExample Request
curl -X POST 'https://api.dots.dev/api/v2/organizations/developer-invites' \ -H 'Content-Type: application/json' \ -d '{ "email": "jane@example.com", "role": "viewer"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com", "status": "created", "created": "2019-08-24T14:15:22Z", "expiry": "2019-08-24T14:15:22Z", "link": "http://example.com", "role": "payer", "custom_role_id": "4f5deddb-3218-41fa-acf0-ef42cdc17a8c"}